summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--CHANGELOG6
-rw-r--r--CMakeLists.txt2
-rw-r--r--Makefile.am6
-rwxr-xr-xbuild/__distcheck.sh15
-rw-r--r--configure.ac2
5 files changed, 25 insertions, 6 deletions
diff --git a/CHANGELOG b/CHANGELOG
index b4d5bfbc..7f58d89f 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -5,6 +5,12 @@ Changelog
2.1x
----
+2.1.1 (2021-03-27)
+~~~~~~~~~~~~~~~~~~
+
+- Added missing CMakeLists.txt to release tarballs
+ (`#346 <https://github.com/skvadrik/re2c/issues/346>`_).
+
2.1 (2021-03-26)
~~~~~~~~~~~~~~~~
diff --git a/CMakeLists.txt b/CMakeLists.txt
index c64a41a9..206a537d 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -1,5 +1,5 @@
cmake_minimum_required(VERSION 3.12)
-project(re2c VERSION 2.1 HOMEPAGE_URL "https://re2c.org/")
+project(re2c VERSION 2.1.1 HOMEPAGE_URL "https://re2c.org/")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
diff --git a/Makefile.am b/Makefile.am
index 8f3ba1b8..448caa9f 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -296,17 +296,21 @@ man_MANS = $(DOCS)
# include files (stdlib)
dist_stdlib_DATA = include/unicode_categories.re
+CMAKEFILES := \
+ CMakeLists.txt \
+ cmake
+
EXTRA_DIST = \
$(re2c_BOOT) \
$(re2c_CUSTOM) \
$(re2c_SRC_DOC_EXT) \
+ $(CMAKEFILES) \
CHANGELOG \
LICENSE \
NO_WARRANTY \
README.md \
autogen.sh \
build \
- cmake \
examples \
test
diff --git a/build/__distcheck.sh b/build/__distcheck.sh
index db486208..12d901b7 100755
--- a/build/__distcheck.sh
+++ b/build/__distcheck.sh
@@ -17,10 +17,19 @@ do
rm -rf $builddir
mkdir $builddir
cd $builddir
- # 'make' implies 'make docs'; running both in parallel may cause data races
- # configure without --enable-debug, this is the release binary
- ../configure --enable-docs --enable-libs \
+ # 'make' implies 'make docs'; running both in parallel may cause data races
+ # configure without --enable-debug, this is the release binary
+ ../configure --enable-docs --enable-libs \
&& $make_prog bootstrap -j$(nproc) \
&& $make_prog distcheck -j$(nproc)
cd ..
done
+
+# test that the release tarball builds with CMake
+cd $builddir
+tarball=$(find . -name 're2c-*.tar.xz')
+test -f "$tarball" && tar -xf "$tarball" \
+ || { echo "*** failed to find tarball ***" && exit 1; }
+cd "${tarball%.tar.xz}" && cmake . && make -j$(nproc) && cd .. \
+ || { echo "*** failed to build with cmake ***" && exit 1; }
+cd ..
diff --git a/configure.ac b/configure.ac
index 8927ace2..2ce9c40a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,4 +1,4 @@
-AC_INIT([re2c],[2.1],[re2c-general@lists.sourceforge.net])
+AC_INIT([re2c],[2.1.1],[re2c-general@lists.sourceforge.net])
AC_CONFIG_AUX_DIR([build-aux])
AM_INIT_AUTOMAKE([foreign subdir-objects dist-xz dist-lzip no-dist-gzip])
AM_SILENT_RULES([yes])